Subject: Re: [bitcoin-dev] Dynamically Controlled Bitcoin Block Size Max Cap

From: Jorge Timón <[email-masked]>
Date: Thu, 20 Aug 2015 09:31:20 +0200

On Tue, Aug 18, 2015 at 7:26 PM, Chris Wardell via bitcoin-dev
<[email-masked]> wrote:
> I'm no authority on the subject, but I don't understand why there is a max
> block-size, other than anti-spam measures.
>
> The only other reason I have heard for a max-block-size is to force people
> into paying higher fees.

For the 73th time or so this month on this list:

The maximum block size consensus rule limits mining centralization
(which is currently pretty bad).

But don't worry about not being an authority on the subject: Gavin
(who has written extensively on the subject) doesn't seem to
understand this either.
He thinks it only limits full node centralization (by limiting how
expensive it can be to run a full node).
I thought the later would be quite obvious for everyone, but this
month I've discovered that I've been extremely optimistic about
people's understanding of the effects of the consensus rule they want
to change.
For the later reason (the one Gavin and I agree on) there's an old but
very clear video explaining it:
https://www.youtube.com/watch?v=cZp7UGgBR0I